""" Doctests
"""
import doctest
import unittest
from eea.policy.dev.tests.base import EEAPolicyDevWidgetFunctionalTestCase
from Testing.ZopeTestCase import FunctionalDocFileSuite


OPTIONFLAGS = (
        doctest.REPORT_ONLY_FIRST_FAILURE |
        doctest.ELLIPSIS |
        doctest.NORMALIZE_WHITESPACE
)

def test_suite():
    """ Tests
    """
    return unittest.TestSuite((
            FunctionalDocFileSuite('README.txt',
                  optionflags=OPTIONFLAGS,
                  package='eea.policy.dev',
                  test_class=EEAPolicyDevWidgetFunctionalTestCase),
              ))
